Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.pdf.PagingSealConfig Class Reference

## Public Member Functions
| PagingSealConfig (int paging_seal_position, float offset, float first_page_percent, boolean is_on_perforation, int paging_seal_style, boolean is_display_multiple_seal, int page_count_for_each_seal)
| Constructor, with parameter. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
float | getFirst_page_percent ()
| Get the percent of the first paging seal. More...
boolean | getIs_display_multiple_seal ()
| Get decide whether to display multiple paging seal appearance for current paging seal signature. More...
boolean | getIs_on_perforation ()
| Get decide whether to chop a seal that covering the left or right margin of each two pages. More...
float | getOffset ()
| Get the offset of paging seal signature. More...
int | getPage_count_for_each_seal ()
| Get the page count of each seal. More...
int | getPaging_seal_position ()
| Get the position of paging seal. More...
int | getPaging_seal_style ()
| Get the style of paging seal signature. More...
void | set (int paging_seal_position, float offset, float first_page_percent, boolean is_on_perforation, int paging_seal_style, boolean is_display_multiple_seal, int page_count_for_each_seal)
| Set value. More...
void | setFirst_page_percent (float value)
| Set the percent of the first paging seal. More...
void | setIs_display_multiple_seal (boolean value)
| Set decide whether to display multiple paging seal appearance for current paging seal signature. More...
void | setIs_on_perforation (boolean value)
| Set decide whether to chop a seal that covering the left or right margin of each two pages. More...
void | setOffset (float value)
| Set the offset of paging seal signature. More...
void | setPage_count_for_each_seal (int value)
| Set the page count of each seal. More...
void | setPaging_seal_position (int value)
| Set the position of paging seal. More...
void | setPaging_seal_style (int value)
| Set the style of paging seal signature. More...

## Static Public Attributes
static final int | e_PagingSealPositionBottom = 4
| Bottom Paging Seal.
static final int | e_PagingSealPositionLeft = 1
| Left Paging Seal.
static final int | e_PagingSealPositionRight = 2
| Right Paging Seal.
static final int | e_PagingSealPositionTop = 3
| Top Paging Seal.
static final int | e_PagingSealStyleMultipleSignatures = 0
| Add multiple signatures. Use the Signature to display the appearance of paging seal signature, and these signatures share the same signature data.
static final int | e_PagingSealStyleOneSignature = 1
| Only add one signature. This signature is used for signature and verification and will be hidden in the PDF document. Use the com.foxit.sdk.pdf.annots.PagingSeal annotation to display the appearance of paging seal signature.

## Detailed Description

This class represents paging seal configuration. This configuration can be set by function PagingSealSignature.setPagingSealConfig .

## Constructor & Destructor Documentation

## ◆ PagingSealConfig()

com.foxit.sdk.pdf.PagingSealConfig.PagingSealConfig | ( | int | paging_seal_position,
|  | float | offset,
|  | float | first_page_percent,
|  | boolean | is_on_perforation,
|  | int | paging_seal_style,
|  | boolean | is_display_multiple_seal,
|  | int | page_count_for_each_seal
| ) |  |

Constructor, with parameter.

Parameters

  [in] | paging_seal_position | The position of paging seal. Please refer to values starting from com.foxit.sdk.pdf.PagingSealConfig.e_PagingSealPositionLeft and this would be one of these values.
  [in] | offset | The offset of paging seal. This value should not be a negative number.
  [in] | first_page_percent | The percent of the first paging seal. This parameter should larger than 0.0, less than 1.0.
  [in] | is_on_perforation | Decide whether to chop a seal that covering the margin of each two pages.
  [in] | paging_seal_style | The paging seal signature style. Please refer to values starting from com.foxit.sdk.pdf.PagingSealConfig.e_PagingSealStyleMultipleSignatures and this would be one of these values.
  [in] | is_display_multiple_seal | Decide whether to display multiple paging seal appearance for current paging seal signature, default value: false.
  [in] | page_count_for_each_seal | The page count each seal. This value should be larger than 1, default value: 30.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.PagingSealConfig.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getFirst_page_percent()

com.foxit.sdk.pdf.PagingSealConfig.getFirst_page_percent | ( |  | ) |

Get the percent of the first paging seal.

Returns
  The percent of the first paging seal. The rest percent will be divided equally by the other paging seals. This parameter should bigger than 0.0, less than 1.0.

## ◆ getIs_display_multiple_seal()

com.foxit.sdk.pdf.PagingSealConfig.getIs_display_multiple_seal | ( |  | ) |

Get decide whether to display multiple paging seal appearance for current paging seal signature.

Returns
  Decide whether to display multiple paging seal appearance for current paging seal signature. true means to display multiple paging seal appearance, each count pages use one paging seal appearance, count is set by page_count_for_each_seal. While false means not. This parameter has no effect when the parameter is_on_perforation is true.

## ◆ getIs_on_perforation()

com.foxit.sdk.pdf.PagingSealConfig.getIs_on_perforation | ( |  | ) |

Get decide whether to chop a seal that covering the left or right margin of each two pages.

Returns
  Decide whether to chop a seal that covering the left or right margin of each two pages. true means the paging seal signatures will be added to pages in pairs, and the parameter paging_seal_position and the parameter first_page_percent will have no effect. false means not.

## ◆ getOffset()

com.foxit.sdk.pdf.PagingSealConfig.getOffset | ( |  | ) |

Get the offset of paging seal signature.

This value should not be a negative number. The maximum value of offset is the value of page width or page height minus the width or height of rectangle of paging seal signature. If offset bigger than the maximum value, the maximum will be used.

- For top paging seal and bottom paging seal, this value will be the horizontal offset of the left of signature rectangle.
- For right paging seal,left paging seal, this value will be the vertical offset of the bottom of signature rectangle.
- For the parameter is_on_perforation is true, this value will be the vertical offset of the bottom of signature rectangle.

Returns
  The offset of paging seal signature.

## ◆ getPage_count_for_each_seal()

com.foxit.sdk.pdf.PagingSealConfig.getPage_count_for_each_seal | ( |  | ) |

Get the page count of each seal.

Returns
  The page count of each seal. This value only useful when the parameter is_display_multiple_seal is true. This value should be larger than 1. If the page count of the last seal is 1, it will be merged with the previous seal to form one seal.

## ◆ getPaging_seal_position()

com.foxit.sdk.pdf.PagingSealConfig.getPaging_seal_position | ( |  | ) |

Get the position of paging seal.

Returns
  The position of paging seal. Please refer to values starting from com.foxit.sdk.pdf.PagingSealConfig.e_PagingSealPositionLeft and this would be one of these values.

## ◆ getPaging_seal_style()

com.foxit.sdk.pdf.PagingSealConfig.getPaging_seal_style | ( |  | ) |

Get the style of paging seal signature.

Different styles cannot be converted to each other. Default value: com.foxit.sdk.pdf.PagingSealConfig.e_PagingSealStyleMultipleSignatures .

Returns
  The style of paging seal signature. Please refer to values starting from com.foxit.sdk.pdf.PagingSealConfig.e_PagingSealStyleMultipleSignatures and this would be one of these values.

## ◆ set()

void com.foxit.sdk.pdf.PagingSealConfig.set | ( | int | paging_seal_position,
|  | float | offset,
|  | float | first_page_percent,
|  | boolean | is_on_perforation,
|  | int | paging_seal_style,
|  | boolean | is_display_multiple_seal,
|  | int | page_count_for_each_seal
| ) |  |

Set value.

Parameters

  [in] | paging_seal_position | The position of paging seal. Please refer to values starting from com.foxit.sdk.pdf.PagingSealConfig.e_PagingSealPositionLeft and this would be one of these values.
  [in] | offset | The offset of paging seal. This value should not be a negative number.
  [in] | first_page_percent | The percent of the first paging seal. This parameter should larger than 0.0, less than 1.0.
  [in] | is_on_perforation | Decide whether to chop a seal that covering the margin of each two pages.
  [in] | paging_seal_style | The paging seal signature style. Please refer to values starting from com.foxit.sdk.pdf.PagingSealConfig.e_PagingSealStyleMultipleSignatures and this would be one of these values.
  [in] | is_display_multiple_seal | Decide whether to display multiple paging seal appearance for current paging seal signature, default value: false.
  [in] | page_count_for_each_seal | The page count each seal. This value should be larger than 1, default value: 30.

Returns
  None.

## ◆ setFirst_page_percent()

com.foxit.sdk.pdf.PagingSealConfig.setFirst_page_percent | ( | float | value | ) |

Set the percent of the first paging seal.

Parameters

  [in] | value | The percent of the first paging seal. The rest percent will be divided equally by the other paging seals. This parameter should bigger than 0.0, less than 1.0.

Returns
  None.

## ◆ setIs_display_multiple_seal()

com.foxit.sdk.pdf.PagingSealConfig.setIs_display_multiple_seal | ( | boolean | value | ) |

Set decide whether to display multiple paging seal appearance for current paging seal signature.

Parameters

  [in] | value | Decide whether to display multiple paging seal appearance for current paging seal signature. true means to display multiple paging seal appearance, each count pages use one paging seal appearance, count is set by page_count_for_each_seal. While false means not. This parameter has no effect when the parameter is_on_perforation is true.

Returns
  None.

## ◆ setIs_on_perforation()

com.foxit.sdk.pdf.PagingSealConfig.setIs_on_perforation | ( | boolean | value | ) |

Set decide whether to chop a seal that covering the left or right margin of each two pages.

Parameters

  [in] | value | Decide whether to chop a seal that covering the left or right margin of each two pages. true means the paging seal signatures will be added to pages in pairs, and the parameter paging_seal_position and the parameter first_page_percent will have no effect. false means not.

Returns
  None.

## ◆ setOffset()

com.foxit.sdk.pdf.PagingSealConfig.setOffset | ( | float | value | ) |

Set the offset of paging seal signature.

This value should not be a negative number. The maximum value of offset is the value of page width or page height minus the width or height of rectangle of paging seal signature. If offset bigger than the maximum value, the maximum will be used.

- For top paging seal and bottom paging seal, this value will be the horizontal offset of the left of signature rectangle.
- For right paging seal,left paging seal, this value will be the vertical offset of the bottom of signature rectangle.
- For the parameter is_on_perforation is true, this value will be the vertical offset of the bottom of signature rectangle.

Parameters

  [in] | value | The offset of paging seal signature.

Returns
  None.

## ◆ setPage_count_for_each_seal()

com.foxit.sdk.pdf.PagingSealConfig.setPage_count_for_each_seal | ( | int | value | ) |

Set the page count of each seal.

Parameters

  [in] | value | The page count of each seal. This value only useful when the parameter is_display_multiple_seal is true. This value should be larger than 1. If the page count of the last seal is 1, it will be merged with the previous seal to form one seal.

Returns
  None.

## ◆ setPaging_seal_position()

com.foxit.sdk.pdf.PagingSealConfig.setPaging_seal_position | ( | int | value | ) |

Set the position of paging seal.

Parameters

  [in] | value | The position of paging seal. Please refer to values starting from com.foxit.sdk.pdf.PagingSealConfig.e_PagingSealPositionLeft and this would be one of these values.

Returns
  None.

## ◆ setPaging_seal_style()

com.foxit.sdk.pdf.PagingSealConfig.setPaging_seal_style | ( | int | value | ) |

Set the style of paging seal signature.

Different styles cannot be converted to each other. Default value: com.foxit.sdk.pdf.PagingSealConfig.e_PagingSealStyleMultipleSignatures .

Parameters

  [in] | value | The style of paging seal signature. Please refer to values starting from com.foxit.sdk.pdf.PagingSealConfig.e_PagingSealStyleMultipleSignatures and this would be one of these values.

Returns
  None.